import java.util.TreeMap;
import java.util.TreeSet;

/**
 * @author Dave Reed
 */
public class ClassList {
    private TreeMap<String, StudentRecord> stuMap;
    
    public ClassList() {
        this.stuMap = new TreeMap<String, StudentRecord>();
    }

    public void recordQuiz(String lastName, String firstName, int quizNum, 
                           int points, int possible) {
        String name = lastName + " " + firstName;
        if (!this.stuMap.containsKey(name)) {
            this.stuMap.put(name, new StudentRecord(name));
        }
        this.stuMap.get(name).recordQuiz(quizNum, points, possible);
    }

    public void displayAll() {
        TreeSet<StudentRecord> students = new TreeSet<StudentRecord>();
        for (String str : this.stuMap.keySet()) {
            students.add(this.stuMap.get(str));
        }
        
        for (StudentRecord stu : students) {
            System.out.println(stu);
        }
    } 
}
